Permalink
Browse files

get rid of jeweler. use gemspec directly

  • Loading branch information...
1 parent d5c21e9 commit 25ff8a966d06d707cf95f6202be2f99cccd239f1 @ninjudd committed Nov 21, 2012
Showing with 41 additions and 114 deletions.
  1. +3 −1 .gitignore
  2. +1 −0 .rbenv-gemsets
  3. +1 −0 .rbenv-version
  4. +3 −0 Gemfile
  5. +2 −41 Rakefile
  6. +1 −1 lib/record_cache.rb
  7. +3 −0 lib/record_cache/version.rb
  8. +25 −60 record_cache.gemspec
  9. +1 −1 test/record_cache_test.rb
  10. +1 −10 test/test_helper.rb
View
@@ -1 +1,3 @@
-pkg
+Gemfile.lock
+pkg
+*~
View
@@ -0,0 +1 @@
+record_cache
View
@@ -0,0 +1 @@
+ree-1.8.7-2012.02
View
@@ -0,0 +1,3 @@
+source "http://www.rubygems.org"
+
+gemspec
View
@@ -1,49 +1,10 @@
-require 'rake'
require 'rake/testtask'
-require 'rake/rdoctask'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |s|
- s.name = "record_cache"
- s.summary = %Q{Active Record caching and indexing in memcache. An alternative to cache_fu}
- s.email = "code@justinbalthrop.com"
- s.homepage = "http://github.com/ninjudd/record_cache"
- s.description = "Active Record caching and indexing in memcache"
- s.authors = ["Justin Balthrop"]
- s.add_dependency('after_commit', '>= 1.0.0')
- s.add_dependency('deferrable', '>= 0.1.0')
- s.add_dependency('memcache', '>= 1.0.0')
- s.add_dependency('cache_version', '>= 0.9.4')
- s.add_dependency('activerecord', '>= 2.0.0')
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler not available. Install it with: sudo gem install technicalpickles-jeweler -s http://gems.github.com"
-end
+require 'bundler/gem_tasks'
Rake::TestTask.new do |t|
- t.libs << 'lib'
+ t.libs = ['lib', 'test']
t.pattern = 'test/**/*_test.rb'
t.verbose = false
end
-Rake::RDocTask.new do |rdoc|
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = 'record_cache'
- rdoc.options << '--line-numbers' << '--inline-source'
- rdoc.rdoc_files.include('README*')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
-
-begin
- require 'rcov/rcovtask'
- Rcov::RcovTask.new do |t|
- t.libs << 'test'
- t.test_files = FileList['test/**/*_test.rb']
- t.verbose = true
- end
-rescue LoadError
-end
-
task :default => :test
View
@@ -1,6 +1,6 @@
-require 'rubygems'
require 'memcache'
require 'active_record'
+require 'after_commit'
require 'cache_version'
require 'deferrable'
@@ -0,0 +1,3 @@
+class RecordCache
+ VERSION = "0.9.12"
+end
View
@@ -1,66 +1,31 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
+lib = File.expand_path('../lib', __FILE__)
+$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
+require 'record_cache/version'
-Gem::Specification.new do |s|
- s.name = %q{record_cache}
- s.version = "0.9.12"
+Gem::Specification.new do |gem|
+ gem.name = "test"
+ gem.version = RecordCache::VERSION
+ gem.authors = ["Justin Balthrop"]
+ gem.email = ["git@justinbalthrop.com"]
+ gem.description = %q{Active Record caching and indexing in memcache.}
+ gem.summary = gem.description
+ gem.homepage = "https://github.com/ninjudd/record_cache"
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Justin Balthrop"]
- s.date = %q{2011-03-21}
- s.description = %q{Active Record caching and indexing in memcache}
- s.email = %q{code@justinbalthrop.com}
- s.extra_rdoc_files = [
- "LICENSE",
- "README.rdoc"
- ]
- s.files = [
- "LICENSE",
- "README.rdoc",
- "Rakefile",
- "VERSION",
- "lib/record_cache.rb",
- "lib/record_cache/index.rb",
- "lib/record_cache/scope.rb",
- "lib/record_cache/set.rb",
- "record_cache.gemspec",
- "test/record_cache_test.rb",
- "test/test_helper.rb"
- ]
- s.homepage = %q{http://github.com/ninjudd/record_cache}
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{Active Record caching and indexing in memcache. An alternative to cache_fu}
- s.test_files = [
- "test/record_cache_test.rb",
- "test/test_helper.rb"
- ]
+ gem.add_development_dependency 'shoulda'
+ gem.add_development_dependency 'mocha'
+ gem.add_development_dependency 'rsolr'
+ gem.add_development_dependency 'json'
+ gem.add_development_dependency 'activerecord-postgresql-adapter'
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
+ gem.add_dependency 'after_commit', '>= 1.0.0'
+ gem.add_dependency 'deferrable', '>= 0.1.0'
+ gem.add_dependency 'memcache', '>= 1.0.0'
+ gem.add_dependency 'cache_version', '>= 0.9.4'
+ gem.add_dependency 'activerecord', '~> 2.3.9'
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<after_commit>, [">= 1.0.0"])
- s.add_runtime_dependency(%q<deferrable>, [">= 0.1.0"])
- s.add_runtime_dependency(%q<memcache>, [">= 1.0.0"])
- s.add_runtime_dependency(%q<cache_version>, [">= 0.9.4"])
- s.add_runtime_dependency(%q<activerecord>, [">= 2.0.0"])
- else
- s.add_dependency(%q<after_commit>, [">= 1.0.0"])
- s.add_dependency(%q<deferrable>, [">= 0.1.0"])
- s.add_dependency(%q<memcache>, [">= 1.0.0"])
- s.add_dependency(%q<cache_version>, [">= 0.9.4"])
- s.add_dependency(%q<activerecord>, [">= 2.0.0"])
- end
- else
- s.add_dependency(%q<after_commit>, [">= 1.0.0"])
- s.add_dependency(%q<deferrable>, [">= 0.1.0"])
- s.add_dependency(%q<memcache>, [">= 1.0.0"])
- s.add_dependency(%q<cache_version>, [">= 0.9.4"])
- s.add_dependency(%q<activerecord>, [">= 2.0.0"])
- end
+ gem.files = `git ls-files`.split($/)
+ gem.executables = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
+ gem.test_files = gem.files.grep(%r{^(test|spec|features)/})
+ gem.require_paths = ["lib"]
end
-
@@ -1,4 +1,4 @@
-require File.dirname(__FILE__) + '/test_helper.rb'
+require 'test_helper'
RecordCache::Set.source_tracking = true
View
@@ -1,20 +1,11 @@
require 'test/unit'
require 'rubygems'
require 'shoulda'
-require 'mocha'
+require 'mocha/setup'
require 'pp'
-$LOAD_PATH.unshift File.dirname(__FILE__) + "/../lib"
-['cache_version', 'model_set', 'memcache', 'deferrable'].each do |dir|
- $LOAD_PATH.unshift File.dirname(__FILE__) + "/../../#{dir}/lib"
-end
-
require 'record_cache'
-['lib/after_commit', 'lib/after_commit/active_record', 'lib/after_commit/connection_adapters', 'init'].each do |file|
- require File.dirname(__FILE__) + "/../../plugins/after_commit/#{file}"
-end
-
class Test::Unit::TestCase
end

0 comments on commit 25ff8a9

Please sign in to comment.